Package org.eclipse.emf.cdo.server

# Interface ITopicManager

All Superinterfaces:
  `org.eclipse.net4j.util.container.IContainer<ITopic>`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `InternalTopicManager`

public interface ITopicManager extends org.eclipse.net4j.util.container.IContainer<ITopic>

Since:
  4.17
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`ISessionManager`
`getSessionManager()`
`ITopic`
`getTopic(String id)`
`ITopic[]`
`getTopics()`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getSessionManager

ISessionManager getSessionManager()

### getTopic

ITopic getTopic(String id)

### getTopics

ITopic[] getTopics()